> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve multiple cells

> Accepts an array of cell IDs and returns the subset the caller can access.

Cells the caller cannot access are silently omitted.



## OpenAPI

````yaml post /table/get-cells
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table/get-cells:
    post:
      tags:
        - Tables
      summary: Retrieve multiple cells
      description: >-
        Accepts an array of cell IDs and returns the subset the caller can
        access.


        Cells the caller cannot access are silently omitted.
      operationId: getCellsByIds
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: string
                    minLength: 1
                  minItems: 1
              required:
                - data
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        originId:
                          type: string
                        tableId:
                          type: string
                        rowId:
                          type: string
                        columnId:
                          type: string
                        workspaceId:
                          type: string
                        isIdentifier:
                          type: boolean
                          example: false
                        data: {}
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                        isDeleted:
                          type: boolean
                          example: false
                      required:
                        - _id
                        - tableId
                        - rowId
                        - columnId
                        - workspaceId
                        - isIdentifier
                        - createdAt
                        - updatedAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````